Bug 535185 - (RHQ-1908) "Failed to load group Resource configuration" when attempting to click Configure tab for group of RHQ Agents.
"Failed to load group Resource configuration" when attempting to click Config...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-04-01 14:10 EDT by Corey Welton
Modified: 2013-09-02 03:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 727686 (view as bug list)
Environment:
Last Closed: 2013-09-02 03:20:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHQ-1908.png (37.95 KB, image/png)
2009-04-01 14:23 EDT, Corey Welton
no flags Details
RHQ-1908.txt (16.44 KB, text/plain)
2009-04-01 14:41 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2009-04-01 14:10:00 EDT
User is unable to click the configuration tab for a group of RHQ Agents.  This seems to work with other groups for which "Configure" is a valid path, such as postgresql servers.

Repro steps:

1. Create a compatible group of 3 or more RHQ Agents.  I selected non-recursive, if that matters.
2. Resource > Compatible Groups > $group_name
3. Attempt to view the Configure page for the group (either by icons in the leftnav or via the "Configure" tab)
4. View results.

Current results:

Failed to load group Resource configuration. Cause: javax.ejb.EJBException:java.lang.RuntimeException: Failed to retrieve live Resource configurations. -> java.lang.RuntimeException:Failed to retrieve live Resource configurations. -> java.util.concurrent.ExecutionException:java.lang.Exception: Failed to obtain live Resource configuration for Resource[id=501051, type=RHQ Agent, key=jonqa.rdu.redhat.com RHQ Agent, name=jonqa.rdu.redhat.com RHQ Agent, parent=jonqa.rdu.redhat.com, version=1.2.0-SNAPSHOT]. -> java.lang.Exception:Failed to obtain live Resource configuration for Resource[id=501051, type=RHQ Agent, key=jonqa.rdu.redhat.com RHQ Agent, name=jonqa.rdu.redhat.com RHQ Agent, parent=jonqa.rdu.redhat.com, version=1.2.0-SNAPSHOT].

Expected results:
Can view/edit configurations.


Other notes: 

See attached traceback from serverlog..
Comment 1 Corey Welton 2009-04-01 14:23:13 EDT
Attaching screenshot, to note that all agents are up, and as far as I can tell had been and continued to be.
Comment 2 Corey Welton 2009-04-01 15:55:37 EDT
This occurs when agent is misconfigured and defaults with an endpoint of 127.0.0.1.  Agent can communicate with server, but not vice-versa.

Reducing priority for this, and certainly not a major 2.2 issue.
Comment 3 John Mazzitelli 2009-04-01 16:42:24 EDT
created RHQ-1911 in response to this issue.
Comment 4 Red Hat Bugzilla 2009-11-10 15:49:14 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1908
Imported an attachment (id=368688)
Imported an attachment (id=368689)
This bug relates to RHQ-1911
Comment 5 wes hayutin 2010-02-16 11:55:21 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 6 wes hayutin 2010-02-16 12:00:38 EST
making sure we're not missing any bugs in rhq_triage
Comment 7 John Mazzitelli 2011-03-25 15:13:07 EDT
just tested this - the new gwt ui will still show something - it won't error out.

The latest known config will be shown if some agents in the group are down or unreachable. If the agents are reachable, their live configs are used.
Comment 8 Heiko W. Rupp 2013-09-02 03:20:27 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.